FROM python:3.10.10-slim-buster
ARG LOG_LEVEL
ARG SECRET_KEY
ARG APP_NAME
ARG PORT
ARG URL_SERVER_BACKEND
ARG USER_ADMIN_DJANGO
ARG PASSWORD_ADMIN_DJANGO
ARG PROJECT_NAME
ARG RPC_SERVICE_1
ENV LOG_LEVEL=${LOG_LEVEL}
ENV USER_ADMIN_DJANGO=${USER_ADMIN_DJANGO}
ENV PASSWORD_ADMIN_DJANGO=${PASSWORD_ADMIN_DJANGO}
ENV URL_SERVER_BACKEND=${URL_SERVER_BACKEND}
ENV PORT=${PORT}
ENV APP_NAME=${APP_NAME}
ENV SECRET_KEY=${SECRET_KEY}
ENV PROJECT_NAME=${PROJECT_NAME}
ENV SWAGGER_APP_TITLE={SWAGGER_APP_TITLE}
ENV SWAGGER_APP_VERSION={SWAGGER_APP_VERSION}
ENV SWAGGER_APP_DESCRIPTION={SWAGGER_APP_DESCRIPTION}
ENV SWAGGER_APP_CONTACT={SWAGGER_APP_CONTACT}
ENV SWAGGER_APP_LICENSE={SWAGGER_APP_LICENSE}
ENV RPC_SERVICE_1={RPC_SERVICE_1}
WORKDIR /app
COPY . /app/
RUN pip install --upgrade pip -r requirements.txt
RUN ["chmod", "+x", "/app/docker-entrypoint.sh"]
ENTRYPOINT [ "/app/docker-entrypoint.sh" ]
CMD [ "sh" ]
